- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarObjectSpreadsheetInternal::RowContent Class Reference

Internal: structure used to store a row of a StarObjectSpreadsheet. More...

## Public Member Functions
| RowContent ()
| constructor More...
void | compressItemList ()
| try to compress the item list and create a attribute list More...

## Public Attributes
std::map< int, shared_ptr< Cell > > | m_colToCellMap
| map col -> cell More...
std::map< STOFFVec2i, shared_ptr< StarAttribute > > | m_colToAttributeMap
| map col -> attribute More...

## Detailed Description

Internal: structure used to store a row of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

StarObjectSpreadsheetInternal::RowContent::RowContent | ( |  | ) |
| inline

constructor

## Member Function Documentation

void StarObjectSpreadsheetInternal::RowContent::compressItemList | ( |  | ) |
| inline

try to compress the item list and create a attribute list

Referenced by StarObjectSpreadsheet::sendRow().

## Member Data Documentation

std::map<STOFFVec2i, shared_ptr<StarAttribute> > StarObjectSpreadsheetInternal::RowContent::m_colToAttributeMap

map col -> attribute

Referenced by StarObjectSpreadsheet::sendRow().

std::map<int, shared_ptr<Cell> > StarObjectSpreadsheetInternal::RowContent::m_colToCellMap

map col -> cell

Referenced by StarObjectSpreadsheetInternal::Table::getCell(), and StarObjectSpreadsheet::sendRow().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx